Bug Hunting Session
Bug 36404 - More than one text cursor at the same time in textfields in dialog boxes
Summary: More than one text cursor at the same time in textfields in dialog boxes
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta1
Hardware: Other All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:3.4
Keywords:
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-04-19 16:43 UTC by Bob
Modified: 2011-12-06 05:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
3 text cursors at the same time in textfields in a dialog box (71.24 KB, image/jpeg)
2011-04-19 16:43 UTC, Bob
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bob 2011-04-19 16:43:42 UTC
Created attachment 45834 [details]
3 text cursors at the same time in textfields in a dialog box

This bug occur on all dialog boxes who have more than one textfields.

For example :
Calc > Format > Conditional format
Check "condition 1", "condition 2" and "condition 3"
Click successively on the 3 text fields

result : 3 text cursors in the same time ! (see attachement)
Comment 1 Kohei Yoshida 2011-04-19 17:18:03 UTC
Are they all blinking, or are they static (i.e. no blinking)?
Comment 2 Kohei Yoshida 2011-04-19 17:18:55 UTC
Nevermind, they are all blinking.
Comment 3 Bob 2011-04-19 17:22:56 UTC
(In reply to comment #1)
> Are they all blinking, or are they static (i.e. no blinking)?

Yes they are all blinking (not synchronized)
I've the same bug on Win7 64 and Ubuntu 10.10 on the same computer (core i5)
Comment 4 Kohei Yoshida 2011-04-19 17:53:18 UTC
Actually I should give this to bubli.  This is concerning the conditional formatting dialog.  Not sure the latest enhancement for lifting the 3 condition limit went into master only or 3.4...
Comment 5 Kohei Yoshida 2011-04-19 18:47:32 UTC
Actually, this is not limited to Calc; it happens in all dialogs with more than one text input fields.

I guess this is for Caolan?
Comment 6 vitriol 2011-04-19 23:01:18 UTC
Bug already fixed in OpenOffice.org:

http://openoffice.org/bugzilla/show_bug.cgi?id=117390
Comment 7 Caolán McNamara 2011-04-20 12:22:45 UTC
I imagine it shouldn't be too hard to pull out the relevant fix with a bit of digging
Comment 8 rygle 2011-04-22 19:20:18 UTC
(In reply to comment #5)
> Actually, this is not limited to Calc; it happens in all dialogs with more than
> one text input fields.

Agreed - I'm seeing this in Impress on Win7 x64 when I click on a picture and then then Color dialogue where you can adjust R, G, B, Brightness, Contrast, Gamma.

It is pretty cool looking though to have 6 cursors blinking at once - perhaps it could be an option in the settings for those who like it?
Comment 9 David Tardon 2011-04-27 04:32:59 UTC
fixed in commit 9eb0bf14ee5ef0904ec43262faed9a94f0edfc62 on libreoffice-3-4
Comment 10 Rainer Bielefeld Retired 2011-05-02 00:54:11 UTC
Seems not yet integrated in 3.4Beta3, I still see the problem with multiple carets in Mail Merge E-Mail properties dialog.
Comment 11 David Tardon 2011-05-03 01:42:49 UTC
(In reply to comment #10)
> Seems not yet integrated in 3.4Beta3, I still see the problem with multiple
> carets in Mail Merge E-Mail properties dialog.

yes, the fix missed beta3 by ~20 hours, unfortunately :(